# Bool

    extension Bool: FieldStorableType

    extension Bool: ImportableAttributeType

    extension Bool: AllowedObjectiveCKeyPathValue

    extension Bool: AllowedObjectiveCAttributeKeyPathValue

    extension Bool: QueryableAttributeType

### AllowedOptionalObjectiveCKeyPathValue

- `DestinationValueType`

  #### Declaration

  Swift

      public typealias DestinationValueType = Bool

### AllowedObjectiveCAttributeKeyPathValue

- `ReturnValueType`

  #### Declaration

  Swift

      public typealias ReturnValueType = Bool

### Bool

- `QueryableNativeType`

  #### Declaration

  Swift

      public typealias QueryableNativeType = NSNumber

- `cs_rawAttributeType`

  #### Declaration

  Swift

      public static let cs_rawAttributeType: NSAttributeType

- `cs_fromQueryableNativeType(_:)`

  #### Declaration

  Swift

      @inline(__always)
      public static func cs_fromQueryableNativeType(_ value: QueryableNativeType) -> Bool?

- `cs_toQueryableNativeType()`

  #### Declaration

  Swift

      @inline(__always)
      public func cs_toQueryableNativeType() -> QueryableNativeType